Aller au contenu

JPhil

Membres
  • Compteur de contenus

    19
  • Inscription

  • Dernière visite

Réputation sur la communauté

0 Neutral

À propos de JPhil

  • Rang
    Member
  1. Mise à jour en full lisp 🙂 Le programme est une compilation de deux lisp "Renumber Layouts" et "Paging" adapté à mon besoin. Il renomme tous les onglets en "FolioXX-YY" ainsi que l'attribut des folios du cartouche en "FOLIO XX/YY". J'ai inclus la possibilité de dire que le premier folio est une page de garde ou non. Par contre, le numéro des folios dans le cartouche déconne quand le nombre de présentation dépasse 99 🤥. Voir dans la partie "Paging" d'où vient le problème. Bon en même temps, le maximum de folios dans un même fichier DWG, que j'ai vu, était de 60,
  2. En voici un autre qui rajoute la désignation du bloc contenue dans un attribut "LEGENDE". ;; LGD ;; Crée un tableau qui liste les blocs sélectionnés ;; avec la désignation inclue dans l'attribut LEGENDE (defun c:lgd (/ ss refs lst ele ins tbl row) (vl-load-com) (or *acad* (setq *acad* (vlax-get-acad-object))) (or *acdoc* (setq *acdoc* (vla-get-ActiveDocument *acad*))) (or *blocks* (setq *blocks* (vla-get-Blocks *acdoc*))) (prompt "\nSélectionnez les blocs à lister ou ") (or (setq ss (ssget '((0 . "INSERT")))) (setq ss (ssget "_X" '((0 . "INSERT")
  3. Actuellement, je dirais que mes collègues travaillent de cette façon lors d'un nouveau carnet : - nouveau plan avec un seul folio (inclus cartouche et 1 fenêtre) - modification du nom de l'onglet puis duplication de l'onglet ou duplication de l'onglet puis modification du nom de l'onglet - modification de l'attribut folio avant ou après avoir pris connaissance du nombre total de folio -> en fait j'en sais rien :unsure: mais ce que je sais c'est qu'ils le font à la mano. J'ai pas l'impression qu'ils suppriment ou modifient l'ordre des onglets au moment de la création du carnet et même ap
  4. Hello, En fait, dans le service où je suis on utilise le logiciel Méridian de BlueCielo. Il inclut une tonne de fichier avec des champs automatique du style nom du fichier, nom du projeteur, du chargé d'affaire, du titre du plan ..... bref super balèze! Là dans le cartouche AutoCAD on peut modifier le numéro du folio et un sous-titre à la mano, le reste étant automatique. Et d'après ce que j'ai compris vaut mieux pas y mettre son nez sinon on y fout le bordel et ça c'est pas bon du tout. Donc oui, l'idéal serait de modifier le fichier d'origine qui sert de modèle pour inclure ce champ automa
  5. Bonjour à toutes et tous, Programme double (Lisp et Diesel) qui permet de renommer totomatiquement les folios d'un cartouche. Idéal pour un carnet contenant plusieurs dizaines de folios. [01/07/2021] Mise à jour en full lisp 🙂, voir plus bas. Pour renommer les onglets il faut utiliser ce lisp suivant dont la source est >>> ici <<< : Les modifications sont : (setq nb (itoa (length (layoutlist)))) (if (< (strlen nb) 2) (setq nb (strcat "0" nb)) ) (setq pre "Folio" suf (strca
  6. JPhil

    LE JEU DU 25 !

    Sous Excel j'ai jamais utilisé de VBA et Macro dans mes formules, car en entreprise c'est souvent en off, ce qui me parait logique afin d'éviter les virus.Donc sous AutoCAD, l'utilisation du VBA est-elle la même ? Pour la grille pourquoi pas, de toutes façons comme c'est partie t'as le temps de la programmer, y'a pas d'urgence ;)
  7. JPhil

    LE JEU DU 25 !

    J'avoue que le jeu du 25 en lui-même m'a fait ressurgir de la nostalgie, le fameux "oh putain! 15 ans" Chiche :P :unsure: Ça fonctionne toujours sur les derniers TotoCAD ? :D
  8. JPhil

    LE JEU DU 25 !

    Jeu bien connu :D Avec des copains on avait fait une version PalmOS sous le nom de Jumber en 2005 (ouch c'est vieux :ph34r:) : 5x5, 10x10 ou dimension libre, avec retour arrière et une aide activable/désactivable pour les déplacements possibles. A quand une version sous AutoCad (en version lisp) ? :P
  9. Voici le LISP modifié qui demande l'angle avant de l'appliquer sur les attributs qu'on souhaite faire une rotation. Un clic en dehors d'un attribut ou la touche échap pour sortir. ;;; ;;; Change la rotation d'un attribut de bloc ;;; ;;; (defun c:ROTATT ( / newrotatt selatt objatt) (vl-load-com) (setq newrotatt (getangle "\nAngle : ")) (while (/= (setq selatt (nentsel "\nSélectionner l'attribut à changer de rotation :")) nil) (setq objatt (vlax-ename->vla-object (car selatt))) (if (= (vla-get-ObjectName objatt) "AcDbAttribute") (progn (vla-put-rotation objatt new
  10. Le LISP n'a pas encore été validé à ce jour, mais voici le code qui peut servir à d'autres : (defun c:geftest() (progn ;;; récupération du nom dwffile (setq DwfFile (getvar "DWGPREFIX")) (setq DwfFile (strcat DwfFile (getvar "DWGNAME"))) (setq DwfFile (substr DwfFile 1 (- (strlen DwfFile) 4))) (setq DwfFile (strcat DwfFile "-Model.dwfx")) ;;; fin de la récupération du nom dwffile (command "ctab" "model") (setq bt (getvar "extmin") tp (getvar "extmax")) (setq xfmult (- (car tp) (car bt))) (setq yfmult (- (cadr tp) (cadr bt))) (setq xyfmult (list (+ 10 xfmult) (+ 10 yfmult) 0)) (com
  11. Merci (gile). Je continue mes tests et pour l'instant c'est du tout bon. Je donnerais prochainement le code.
  12. Bonjour à tous, Je suis actuellement en train de modifier un "gros" lisp qui n'est pas de moi. Actuellement une partie du lisp fait ceci : imprimer le dessin de la présentation objet dans un DWFx ajusté au format de papier de 4000 x 900 mm sans tenir compte du style de tracé et des épaisseurs de ligne. Pour l'instant, j'ai trouver comment faire pour imprimer un DWFx avec STB et épaisseurs de ligne. Malheureusement le dessin étant grand, il n'est pas possible d'appliquer "Mettre à l'échelle les épaisseurs de ligne", valable uniquement en espace papier. Résolution partielle du problème : -
  13. Testé à l'instant.Ressemble très fortement (au niveau résultat) à "TABLDYNBLOC". Concernant les défauts que tu évoques, difficile de répondre quand on n'y est pas confronter :unsure:
  14. Je viens de trouver une solution pour les blocs qui passent avec le Lisp de 2010 et qui passent pas avec le Lisp de 2019 -> refaire le bloc Je suis partie d'un bloc avec l'attribut "LEGENDE" qui fonctionne, et j'ai refait le dessin, et là ça fonctionne sans problème :D J'ai fait l'essai, juste avant, de copier l'attribut "LEGENDE" dans un bloc qui ne l'a pas, ben ça fonctionne pas <_< Merci aux intervenants :) Par contre pour des besoins plus pratique, je viens juste de renommer "TABLDYNBLOC" en "LGD". J'aurais dû le faire plus tôt dans mes phases de test :P
  15. Merci lecrabe. Je teste à l'occasion. Par contre une idée du pourquoi ces blocs là (dans cet exemple) ne contiennent pas "ATTDEF" alors qu'il y a réellement un attribut (voir plus) dedans ? "BLOCK" "L1-000" --- "LINE" "BLOCK" "L1-MT12" --- "ARC" "BLOCK" "L1-020G" --- "LINE" Y'a peut-être une erreur dans le code puisque ça fonctionne avec le lisp de 2010 :unsure: Si j'arrive un jour à franchir cette étape (qui pourra être utile même à mes collègues ARCHI), je pourrai passer à l'étape n°2 :) Faire des calculs de puissance en fonction de la zone, du couloir, du niveau, du type d'appar
×
×
  • Créer...